✨ New Gift Cards API Live Now - Beta!
curl --request POST \
--url https://api.gameboost.com/v1/currency-offers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"price": 123,
"game": "<string>",
"stock": 500000000,
"min_quantity": 500000000,
"delivery_time": {
"duration": 123,
"unit": "minutes"
},
"currency_data": "<array>",
"delivery_instructions": "<string>"
}
'{
"data": {
"id": "<string>",
"type": "currencyOffers",
"attributes": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"game_slug": "<string>",
"currency_unit": {
"currency_name": "<string>",
"name": "<string>",
"symbol": "<string>",
"multiplier": 123
},
"description": "<string>",
"price": 123,
"stock": 123,
"min_quantity": 123,
"data": {},
"delivery_time": {
"duration": 123,
"unit": "minutes",
"format": "<string>",
"formatLong": "<string>",
"seconds": 123
},
"status": "listed",
"created_at": "2023-11-07T05:31:56Z",
"listed_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
}Create a new currency offer.
curl --request POST \
--url https://api.gameboost.com/v1/currency-offers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"price": 123,
"game": "<string>",
"stock": 500000000,
"min_quantity": 500000000,
"delivery_time": {
"duration": 123,
"unit": "minutes"
},
"currency_data": "<array>",
"delivery_instructions": "<string>"
}
'{
"data": {
"id": "<string>",
"type": "currencyOffers",
"attributes": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"game_slug": "<string>",
"currency_unit": {
"currency_name": "<string>",
"name": "<string>",
"symbol": "<string>",
"multiplier": 123
},
"description": "<string>",
"price": 123,
"stock": 123,
"min_quantity": 123,
"data": {},
"delivery_time": {
"duration": 123,
"unit": "minutes",
"format": "<string>",
"formatLong": "<string>",
"seconds": 123
},
"status": "listed",
"created_at": "2023-11-07T05:31:56Z",
"listed_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Description of the currency offer.
5028Price of the currency offer in euro, allowing up to six decimal places.
Slug of the game associated with the offer.
Available stock for the currency offer.
0 <= x <= 1000000000Minimum purchase quantity for the currency offer.
1 <= x <= 1000000000Show child attributes
Game specific data for the currency offer.
Optional delivery instructions for the currency offer.
Successfully created the currency offer.
Show child attributes
Was this page helpful?